LFR-FSW - Bug #247

Le champ TIME des TM (Cuc) reste a 0x800000000001
15/10/2014 01:32 PM - Veronique bouzid

Status: Closed Start date: 15/10/2014
Priority: Immediate Due date:

Assignee: Veronique bouzid % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Suite a la modification de Paul (Target logical ID = 0x20) pour utiliser la STarDundee en mode routeur
le champ TIME des TM_LFR reste poistionnée a la valeur suivante 0x800000000001.

Les fichiers de log sont dans /home/validation et commencent par 2014_10_15-11_34_38.
Le script utilisé est /home/validation/SCRIPT/just_normal_mode.py.

Contexte de test

LFR_FSW_PATH = /opt/LFR-FSW/2.0.1.1/fsw

Bridge selection = StarDundee

SocExplorerEngine.getSocExplorer: Version = 0.2.2, Branch = default, Changeset = c839740ef520

Carte EM.

History

#1 - 16/10/2014 07:10 AM - paul leroy

- Status changed from New to In Progress

Le probléme vient du VHDL (me module time_management reste bloqué), j'ai informé Jean-Christophe. Dans les issues, en plus de la version du
flight software, il faudrait mettre la version du VHDL. Dans le cas présent, c'est 1.1.26.

#2 - 17/10/2014 03:25 PM - paul leroy
- Status changed from In Progress to Resolved

- Assignee changed from paul leroy to Veronique bouzid

Le bug a été identifié dans le VHDL, la révision 1.1.26 a été corrigée. La carte EM est programmée.

#3 - 24/10/2014 03:08 PM - Veronique bouzid
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

Test rejoué OK

script /home/validation/SCRIPT/just_normal_mode.py

Fichiers de logs rangés dans le répertoire

/home/validation/2014_10_23

Le script verif_fields.oy a été utilisé ( verif_period_hk = True + verif_period_tm = True)

T(TM_LFR_HK): nom=1.0s, Nb(T)=142.0, min=0.999715999998s, mean=0.999999802817s, max=1.000293s, Nb(T<0.95)=0.0%, Nb(T>1.15)=0.0%
T(../PA_LFR_ACQUISITION_TIME): min=0.999893188477s, mean=1.00000633992s, max=1.00003051758, Nb(T<0.95)=0.0%, Nb(T>1.15)=0.0%

Remarque:
La version VHDL n'a pas été augmentée car I'erreur venat de I'application des contraintes sur la synthése.

Contexte de test

LFR_FSW_PATH = /opt/LFR-FSW/2.0.1.1/fsw

Bridge selection = StarDundee

SocExplorerEngine.getSocExplorer: Version = 0.2.2, Branch = default, Changeset = c839740ef520

Carte EM: 1.1.26
